Change DateTimeISO to include milliseconds

11/16/2016 11:29 AM - B. Baltruschat

Status: New Start date: 11/16/2016

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: XML Schema Estimated time: 0.00 hour

Target version:    

Description

via David Fichtmüller from ABCD Wiki ( 

http://abcd.biowikifarm.net/wiki/Internal:ABCD_Corrections#Change_DateTimeISO_to_include_milliseconds )

(Improvement    backward compatible    Status: Suggested)

There might be some usecases for this, like high speed photography of animals that move. Also it would make the dates more

compatible to the DateTime suggested by the W3C as a subset of ISO 8601.

Effected Elements:

/DataSets/DataSet/Units/Unit/Identifications/Identification/Date/ISODateTimeBegin

/DataSets/DataSet/Units/Unit/Identifications/Identification/Date/ISODateTimeEnd

/DataSets/DataSet/Units/Unit/SpecimenUnit/History/PreviousUnits/PreviousUnit/Date/ISODateTimeBegin

/DataSets/DataSet/Units/Unit/SpecimenUnit/History/PreviousUnits/PreviousUnit/Date/ISODateTimeEnd

/DataSets/DataSet/Units/Unit/Gathering/DateTime/ISODateTimeBegin

/DataSets/DataSet/Units/Unit/Gathering/DateTime/ISODateTimeEnd

History

#1 - 01/24/2017 04:23 PM - D. Fichtmüller

- Project changed from ABCD 3.0 Project to ABCD

- Subject changed from Unit Extension: Change DateTimeISO to include milliseconds to Change DateTimeISO to include milliseconds

- Category set to XML Schema

#2 - 01/24/2017 04:24 PM - D. Fichtmüller

- Parent task set to #476

#3 - 02/21/2017 01:28 PM - L. Lertsutham

- Description updated
